@import "../../../assets/styles/main.scss";

.newsArticalsDetailsSection {
  width: 100%;
  height: fit-content;
  height: auto;
  position: relative;
  @include md {
    margin-bottom: -200px;
  }
  .newsArticalsDetailsBackground {
    width: 100%;
    height: 1207px;
    position: absolute;
    top: 0;

    img {
      height: 100%;
      width: 100%;
      object-fit: cover !important;
    }
  }
  .newsArticalsDetailMain {
    top: 0;
    width: 100%;
    padding: 83px 0 163px;
    position: relative;
    background: getColorHex("background");
    @include lg {
      padding: 70px 0px 120px;
    }
    &::after {
      content: "";
      position: absolute;
      height: 189px;
      width: 228px;
      left: 0px;
      top: 40px;
      background-image: url(https://stagecdn.waosim.com/landingpage/assets/icons/downArrowPlan.svg);
      background-position: center;
      background-repeat: no-repeat;
      background-size: contain;
      z-index: 1;
    }

    .newsArticalsDetailCard {
      @include container-medium-1;
      .newsArticalsDetailCardBackground {
        height: 500px;
        width: 100%;
        position: relative;
        z-index: 9;

        @include xl {
          height: 450px;
        }

        .newsArticalsDetailCardBackgroundImage {
          height: 500px;
          width: 100%;

          img {
            height: 100%;
            width: 100%;
            object-fit: cover !important;
            border-radius: 40px;
          }
        }
      }

      .planListDetailsBox {
        width: calc(100% - 224px);
        background: getColorHex("white");
        height: auto;
        box-shadow: 0px 4px 20px 0px rgba(0, 0, 0, 0.17);
        border-radius: 32px;
        padding: 70px;
        display: flex;
        flex-direction: column;
        gap: 36px;
        margin: -136px auto 0px;
        position: relative;
        z-index: 99;
        @include xl {
          width: calc(100% - 120px);
        }
        @include lg {
          width: calc(100% - 90px);
          margin: -90px auto 0px;
          padding: 50px;
        }
        h1 {
          font-size: 40px;
          line-height: normal;
          @include inter700;
          color: getColorHex("black");
          @include xl {
            font-size: 36px;
          }
          @include lg {
            font-size: 34px;
          }
        }
        .newsSocialDetail {
          display: flex;
          align-items: center;
          justify-content: space-between;
          .newsDate {
            h3 {
              font-size: 20px;
              @include inter700;
              color: getColorHex("black");
              line-height: 28px;
            }
            p {
              font-size: 16px;
              @include inter400;
              line-height: 28px;
            }
          }
          .social_link {
            ul {
              padding: 0px;
              margin: 0;
              li {
                display: inline-block;
                margin-right: 10px;
                max-width: 40px;
              }
            }
          }
        }
        .newsArticalsDetailContent {
          p {
            font-size: 16px;
            line-height: 35px;
          }
        }
      }
    }
  }
}
.footer_color {
  background-color: getColorHex("background");
  width: 100%;
  height: 100px;
  position: absolute;
  transform: scaleY(1.1);
}
